petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetPostStage

Sets the general-purpose function called once at the end of each stage.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPostStage(TS ts, PetscErrorCode (*func)(TS,PetscReal,PetscInt,Vec*))

Logically Collective on TS Many br

### Input Parameters

| ts | - The TS context obtained from TSCreate() Many br
| func | - The function Many br

### Calling sequence of func

PetscErrorCode func(TS ts, PetscReal stagetime, PetscInt stageindex, Vec* Y); - Many br Many br

### Note

There may be several stages per time step. If the solve for a given stage fails, the step may be rejected and retried. Many brThe time step number being computed can be queried using TSGetTimeStepNumber() and the total size of the step being Many brattempted can be obtained using TSGetTimeStep(). The time at the start of the step is available via TSGetTime(). Many br

### Keywords

TS, timestep

### See Also

TSSetPreStage(), TSSetPreStep(), TSSetPostStep(), TSGetApplicationContext()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages